if flags.vstavkaVstavlena then
  set_visible_object(1,false)
  setcolor(2,1,1,1,1)
  speciale_action(2,3)
  speciale_action(2,obj.trafaret_16_12.id)
end

function gameinput (sender,obj_id,attachedID)
  MiniInterfaceHandler(sender, obj_id);
  sendersProcessing(sender, obj_id, attachedID);
  if sender==1 then
    if obj_id == 1 then
      if obj.vstavka_18_0 and attachedID == obj.vstavka_18_0.id then
        removeFromMouse()
        UnStoreObj(obj.vstavka_18_0.id)
        flags.vstavkaVstavlena = true
        playeffect("st_kom")
        setCursor(1,3)
        Block_Show_Cur(true)
        SetAlfa(1,0.01,1,1,"frame1")
      else
        CreatePlashechka("612")
      end
    end
    if obj_id == obj.trafaret_16_12.id then
      StoreObj(obj.trafaret_16_12.id)
      neighbors.Masti.lock = true
    end
  end
  if sender == 26 then
  --  CloseSatelite()
  end
end

function frame1()
  SetAlfa(1,1,0,1)
  playeffect("komod")
  SetAlfa(2,0,1,1,"frame2")
end

function frame2()
  StartTimer(timerID,2,"unBlock_Show_Cur")
  speciale_action(2,3,true,2)
  speciale_action(2,obj.trafaret_16_12.id,true,2)
end